Index: /trunk/docs/VOimplementation.tex
===================================================================
--- /trunk/docs/VOimplementation.tex	(revision 146)
+++ /trunk/docs/VOimplementation.tex	(revision 147)
@@ -595,3 +595,55 @@
 \end{table}
 
+\newpage
+\section{Proposed Unified table setup}
+\label{app-unifiedtable}
+
+\begin{table}[H]
+\begin{tabular}{l|l|l|l|l|p{5cm}}
+ Field      & Type                 & Null & Key & Default & Comments\\
+\hline      
+\hline\multicolumn{6}{l}{\textbf{Basic file info}}\\\hline
+ filename   & varchar(30)          & YES  & PRI & NULL    & All tables.\\
+ fileloc    & varchar(100)         & YES  & PRI & NULL    & Called data\_loc in existing tables\\
+ file\_size\_bytes & int(32)       & YES  &     & NULL    &\\
+ hdrver     & varchar(10)          & YES  &     & NULL    &\\
+ survey     & varchar(10)          & YES  &     & NULL    &\\
+ telescope  & varchar(16)          & YES  &     & NULL    &\\
+ site       & varchar(8)           & YES  &     & NULL    &Unclear what this is -- all \texttt{observations} have site=7.\\
+\hline\multicolumn{6}{l}{\textbf{Where and when}}\\\hline
+ src\_name  & varchar(20)          & YES  &     & NULL    & Rename pulsar\_name to src\_name\\
+ date       & varchar(16)          & YES  &     & NULL    &\\
+ ut         & varchar(16)          & YES  &     & NULL    &\\
+ mjd        & double               & YES  &     & NULL    &\\
+ raj        & varchar(15)          & YES  &     & NULL    & Text format 12:34:56.78\\
+ decj       & varchar(15)          & YES  &     & NULL    &\\
+ rajd       & double               & YES  &     & NULL    & Decimal degrees: 188.7365833\\
+ decjd      & double               & YES  &     & NULL    &\\
+ gl         & decimal(9,4)         & YES  &     & NULL    & Decimal degrees\\
+ gb         & decimal(9,4)         & YES  &     & NULL    &\\
+ bmaj       & float                & YES  &     & NULL    &\\
+ bmin       & float                & YES  &     & NULL    &\\
+ bpa        & float                & YES  &     & NULL    &\\
+ dm         & decimal(16,10)       & YES  &     & NULL    & Will be NULL for survey data.\\
+ period     & decimal(32,24)       & YES  &     & NULL    & Will be NULL for survey data.\\
+\hline\multicolumn{6}{l}{\textbf{How (setup)}}\\\hline
+ cnfg       & varchar(128)         & YES  &     & NULL    & Will be NULL for 70cm data\\
+ inst       & varchar(32)          & YES  &     & NULL    & For 70cm, set same as data\_type\\
+ data\_type & varchar(16)          & YES  &     & NULL    &\\
+ rcvr       & varchar(16)          & YES  &     & NULL    & Set as NULL for 70cm? \texttt{observations} has a lot with ``unknown''.\\
+ obsrvr     & varchar(32)          & YES  &     & NULL    &\\
+ obsfreq    & double               & YES  &     & NULL    &\\
+ chanbw     & double               & YES  &     & NULL    &\\
+ nchan      & int (6)              & YES  &     & NULL    &\\
+ npol       & int(6)               & YES  &     & NULL    &\\
+ nbin       & int(6)               & YES  &     & NULL    &\\
+ nsub       & int(6)               & YES  &     & NULL    &number of subintegrations\\
+ scanlen    & double               & YES  &     & NULL    & Rename \texttt{observations} field length\\
+ tsamp      & double               & YES  &     & NULL    &\\
+ nbits      & tinyint(3) unsigned  & YES  &     & NULL    &\\
+ nbeam      & tinyint(3) unsigned  & YES  &     & NULL    &\\
+\end{tabular}
+\caption{Fields for a table in the mySQL database that unifies the content of the existing tables and the desired content for the PKS70 table.}
+\label{tab-s70}
+\end{table}
 \end{document}
Index: /trunk/new-htdocs/xmlFunctions.php
===================================================================
--- /trunk/new-htdocs/xmlFunctions.php	(revision 146)
+++ /trunk/new-htdocs/xmlFunctions.php	(revision 147)
@@ -53,5 +53,5 @@
   echo " <DESCRIPTION>\n  The total length of time taken for this observation.\n </DESCRIPTION>\n</FIELD>\n";
   
-  echo "<FIELD name=\"Sample time\" ID=\"col15\" ucd=\"time.resolution\" datatype=\"float\" width=\"9\" precision=\"4\" unit=\"ms\">\n";
+  echo "<FIELD name=\"Sample time\" ID=\"col15\" ucd=\"time.resolution\" datatype=\"float\" width=\"9\" precision=\"4\" unit=\"s\">\n";
   echo " <DESCRIPTION>\n  The time for each sample in the observation.\n </DESCRIPTION>\n</FIELD>\n";
    