Index: /trunk/htdocs/pulsar_archive_guide.html
===================================================================
--- /trunk/htdocs/pulsar_archive_guide.html	(revision 199)
+++ /trunk/htdocs/pulsar_archive_guide.html	(revision 200)
@@ -27,13 +27,13 @@
 <h2>Introduction</h2>
 
-The ATNF Pulsar Data Archive exists to allow astronomers access to
+<p>The ATNF Pulsar Data Archive exists to allow astronomers access to
 observations of pulsars made with the Parkes radio telescope in the
-last two decades.
+last two decades.</p>
 
-The data comes either from the Parkes Southern Pulsar Survey (the
+<p>The data comes either from the Parkes Southern Pulsar Survey (the
 "70cm Survey", Manchester et al. 1996, MN 279, 1235), or from 
 observations of known pulsars with one of the Parkes instruments (WBC,
 DFB, CPSR2). We hope to make available data from the Multibeam Survey
-at some point in the near future.
+at some point in the near future.</p>
 
 <h2>Using the archive</h2>
@@ -41,23 +41,23 @@
 <h3>Overview</h3>
 
-The Pulsar Data Archive provides a means for accessing observational
+<p>The Pulsar Data Archive provides a means for accessing observational
 data. Queries are made according to position on the sky and can be
-filtered by parameters such as data type and date.
+filtered by parameters such as data type and date.</p>
 
-To download data, selections are made from the query results. These
+<p>To download data, selections are made from the query results. These
 are stored in a "cart" from which they can be downloaded as a tar
-file. 
+file. </p>
 
 <h3>How to make queries</h3>
 
-The data is queried primarily on positional information. The user
+<p>The data is queried primarily on positional information. The user
 gives either a pulsar name or a RA/Dec position, plus a search
 radius. The pulsar name takes precedence over the RA/Dec position
 given, so to search by RA/Dec, make sure the pulsar name field is
-empty.
+empty.</p>
 
 <h3>Query options</h3>
 
-The query can be refined according to a number of parameters:
+<p>The query can be refined according to a number of parameters:
 <ul>
   <li> Time: A time range for the observations can be specified. The
@@ -73,57 +73,74 @@
   <li> Frequency range: Multiple frequency bands can be selected from
   the list.
-</ul>
+</ul></p>
 
-The list of options on the left hand side shows the possible
+<p>The list of options on the left hand side shows the possible
 parameters that can be returned with your query. Note that not all
-fields will have values for all observations.
+fields will have values for all observations.</p>
 
-The list can be ordered according to a limited range of these
+<p>The list can be ordered according to a limited range of these
 parameters: distance (from the query position - the default), date of
-observation, frequency, and filename.
+observation, frequency, and filename.</p>
 
-Finally, it is possible to search for calibration observations that
+<p>Finally, it is possible to search for calibration observations that
 were taken within a given time period of the science observations. To
 do so, check the box under "DISPLAY OTHER DATA" and set the time limit
-in which to search for Cals (the default is 30 minutes).
+in which to search for Cals (the default is 30 minutes).</p>
 
 <h3>Navigating around the archive</h3>
 
-The first page returned when you submit your query is the list of the
+<p>The first page returned when you submit your query is the list of the
 first (up to) 20 observations. Only 20 observations are displayed at a
 time. You can move through the list by clicking on the page numbers
-above or below the table.
+above or below the table.</p>
 
-Note that a limit of 1000 results is returned for the query -- if you
+<p>Note that a limit of 1000 results is returned for the query -- if you
 are getting more than this, perhaps you can afford to narrow your
-search!
+search!</p>
 
-In the top right, you will find information on the number of files and
+<p>In the top right, you will find information on the number of files and
 total size of the cart, as well as a navigation icon. When the Query
 Results page is displayed, the icon shown is that of the cart.
-<br>
-<img alt="Cart icon" border="0" title="Cart icon" src="/images/cart_30px_white.png"></img>
-<br>
 Alternatively, when the list of cart items is displayed, the icon
-shown is that of the results table.
-<br>
-<img alt="Table icon" border="0" title="Table icon" src="/images/table_30px_white.png"></img>
-<br>
-Clicking on the icon takes you to the page depicted.
+shown is that of the results table. Clicking on the icon takes you to
+the page depicted.</p>
+
+<center>
+<table cellpadding="0" cellspacing="0" border="0" width="200px" cellhalign="center">
+  <tbody>
+    <tr>
+      <td align="center">
+	<img alt="Cart icon" border="0" title="Cart icon" src="/images/cart_30px_white.png"></img>
+      </td>
+     <td align="center">
+       <img alt="Table icon" border="0" title="Table icon" src="/images/table_30px_white.png"></img>
+     </td>
+   </tr>
+   <tr>
+   <td align="center">
+     Cart Icon
+   </td>
+   <td align="center">
+     Table Icon
+   </td>
+  </tr>
+ </tbody>
+</table>
+</center>
 
 <h3>Viewing profiles of pulsars</h3>
 
-For some types of data, it is possible to view a pre-scrunched pulse
+<p>For some types of data, it is possible to view a pre-scrunched pulse
 profile. To do so, select the observations using the check boxes in
 the table, and select "View selected profiles" from the drop-down
 menu. This will display profile plots for all selected observations,
 unless they are unable to be pre-scrunched (for instance, survey
-observations).
+observations).</p>
 
-To return to the results table, click the table icon at top right.
+<p>To return to the results table, click the table icon at top right.</p>
 
 <h3>Downloading data</h3>
 
-Since there can be a large number of query results, spread over many
+<p>Since there can be a large number of query results, spread over many
 pages, we have implemented the observation cart to act as a staging
 post for downloading data. Desired data is first saved to the cart
@@ -131,14 +148,14 @@
 page, the drop-down menu offers the option of downloading either just
 the data or the data plus any cals that have been found. The data is
-returned in a tar file that can be saved to a local disk.
+returned in a tar file that can be saved to a local disk.</p>
 
 <h3>Caveats</h3>
 
-The archive is still in a developmental stage, albeit a fairly
+<p>The archive is still in a developmental stage, albeit a fairly
 complete one. The main area that needs some work is that many fields
 for a lot of the data files are not filled in. This will be rectified
 in the near future, but be aware that not all information will be
 present. Also note that not all fields <i>can</i> be filled in for
-each data file: e.g. survey data cannot have a period defined.
+each data file: e.g. survey data cannot have a period defined.</p>
 
 <h2>Acknowledgments</h2>